errore nell'importazione del modulo lxml

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

errore nell'importazione del modulo lxml

Ely Parker
salve non so se qualcuno mi può aiutare
premessa ambiente windows

ho scritto alcuni plugin che necessitano del modulo lxml fra le dipendenze,

il modulo lxml  l'ho importanto nell'ambiente python/qgis con
easy_install lxml

https://pypi.python.org/pypi/lxml/3.4.2

e quindi tutto l'ambiente egg c'è , fino alla versione 2.6.1 a 32 bit
tutto mi funzionava a dovere

ieri ho aggiornato all 2.8.1

e ottengo l'errore in fase di caricamento qgis e del plugin

from lxml.etree import parse
Traceback (most recent call last):
   File "<input>", line 1, in <module>
   File "C:/PROGRA~2/QGISBR~1/apps/qgis/./python\qgis\utils.py", line
478, in _import
     mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: DLL load failed: Impossibile trovare il modulo specificato.

stessa cosa se vado in console di qgis e do from lxml.etree import parse

invece se vado osgeo4w  shell  il comando funziona tranquillamente

comportamento analogo nella 64 bit di windows

su mac tutto ok

qualcuno ha la minima idea  perchè da una versiona all'altra non
funzioni più?

prima si limitava a non funzionare nella versione a 64 bit immagino che
il problema sia stato importato alla 32 bit ma qual'è può essere il
problema?





_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666+40 iscritti al 5.6.2014